ipe::Document::SProperties Struct Reference

`#include <ipedoc.h>`

## Public Attributes

String | iTitle
String | iAuthor
String | iSubject
String | iKeywords
String | iPreamble
LatexType | iTexEngine { LatexType::Default }
bool | iFullScreen { false }
bool | iNumberPages { false }
String | iCreated
String | iModified
String | iCreator

## Detailed Description

Properties of a document.

## Member Data Documentation

String ipe::Document::SProperties::iTitle

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iAuthor

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iSubject

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iKeywords

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iPreamble

Referenced by ipe::ImlParser::parseDocument().

LatexType ipe::Document::SProperties::iTexEngine { LatexType::Default }

Referenced by ipe::ImlParser::parseDocument().

bool ipe::Document::SProperties::iFullScreen { false }

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

bool ipe::Document::SProperties::iNumberPages { false }

Referenced by ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iCreated

Date/time in PDF style "D:20010428191400" format.

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iModified

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

String ipe::Document::SProperties::iCreator

Program that created this document (e.g. "Ipe 7.5").

Referenced by ipe::PdfWriter::createTrailer(), and ipe::ImlParser::parseDocument().

The documentation for this struct was generated from the following file:

- ipedoc.h